package com.tmoney.aidl;

import android.os.Bundle;

import com.tmoney.aidl.ITMoneyBillingServiceCallback;

interface ITMoneyBillingService {
    /**
     * 콜백 등록
     */
    boolean registerCallback(ITMoneyBillingServiceCallback cb);
    /**
     * 콜백 해제
     */
    boolean unregisterCallback(ITMoneyBillingServiceCallback cb);
    
    /**
     * balance 조회
     */ 
    void sendBalanceRequest(in Bundle bundle);
    void sendBillingRequest(in Bundle bundle);
}